DISTRO_CODE     = sles12sp1
BUILD_PACKAGES  =
BUILD_PACKAGES += tar # needed for "make rpm"
BUILD_PACKAGES += rpm-devel # needed for "make rpm"
BUILD_PACKAGES += unzip # unpack src files of packages
BUILD_PACKAGES += groff # needed for building rrdtool
BUILD_PACKAGES += libltdl7 # needed for gearman
BUILD_PACKAGES += libtool # needed for gearman
BUILD_PACKAGES += boost-devel
BUILD_PACKAGES += fping
BUILD_PACKAGES += samba-client # otherwise path to smblient missing in util.pm
BUILD_PACKAGES += freetype2-devel
BUILD_PACKAGES += gcc
BUILD_PACKAGES += gcc-c++
BUILD_PACKAGES += gd-devel
BUILD_PACKAGES += git
BUILD_PACKAGES += glib2-devel
BUILD_PACKAGES += libcurl-devel   # needed by perl modules / thruk
BUILD_PACKAGES += libexpat-devel
BUILD_PACKAGES += libevent-devel
BUILD_PACKAGES += libgnutls-devel
BUILD_PACKAGES += libjpeg62-devel
BUILD_PACKAGES += libmysqlclient-devel
BUILD_PACKAGES += libopenssl-devel
BUILD_PACKAGES += libpng16-devel # Perl::GD
BUILD_PACKAGES += libXpm-devel # Perl::GD
BUILD_PACKAGES += libvpx-devel # Perl::GD
BUILD_PACKAGES += libtiff-devel # Perl::GD
BUILD_PACKAGES += libuuid-devel
BUILD_PACKAGES += libxml2-devel
BUILD_PACKAGES += sqlite3-devel # needed by Python (for sqlite3 module)
BUILD_PACKAGES += make
BUILD_PACKAGES += mysql
BUILD_PACKAGES += net-snmp
BUILD_PACKAGES += openldap2-devel
BUILD_PACKAGES += pango-devel
BUILD_PACKAGES += patch
BUILD_PACKAGES += postgresql-devel
BUILD_PACKAGES += readline-devel
BUILD_PACKAGES += apache2-devel
BUILD_PACKAGES += freeradius-client-devel
OS_PACKAGES     =
OS_PACKAGES      += net-tools # traceroute is needed for Check_MK parent scan
OS_PACKAGES    += apache2
OS_PACKAGES    += apache2-mod_fcgid
OS_PACKAGES    += bind-utils
OS_PACKAGES    += curl
OS_PACKAGES    += dialog
OS_PACKAGES    += fping
OS_PACKAGES    += gd
OS_PACKAGES    += graphviz
OS_PACKAGES    += libboost_program_options1_54_0
OS_PACKAGES    += libpng12-0
OS_PACKAGES    += libevent-2_0-5
OS_PACKAGES    += libltdl7
OS_PACKAGES    += libreadline6
OS_PACKAGES    += libuuid1
OS_PACKAGES    += mysql
OS_PACKAGES    += net-snmp
OS_PACKAGES    += pango
OS_PACKAGES    += patch
OS_PACKAGES    += perl-Net-SNMP
OS_PACKAGES    += perl-SNMP
OS_PACKAGES    += php5-fastcgi
OS_PACKAGES    += php5-gd
OS_PACKAGES    += php5-iconv
OS_PACKAGES    += php5-mbstring
OS_PACKAGES    += php5-mcrypt
OS_PACKAGES    += php5-pear
OS_PACKAGES    += php5-sockets
OS_PACKAGES    += php5-sqlite
OS_PACKAGES    += rsync
OS_PACKAGES    += samba-client
OS_PACKAGES    += unzip
OS_PACKAGES    += xinetd
OS_PACKAGES    += xorg-x11-fonts
OS_PACKAGES    += freeradius-client-libs
USERADD_OPTIONS   = -M
ADD_USER_TO_GROUP = gpasswd -a %(user)s %(group)s
PACKAGE_INSTALL   = zypper -n refresh ; zypper -n install
ACTIVATE_INITSCRIPT = chkconfig --add %s
APACHE_CONF_DIR   = /etc/apache2/conf.d
APACHE_INIT_NAME  = apache2
APACHE_USER       = wwwrun
APACHE_GROUP      = www
APACHE_BIN        = /usr/sbin/httpd2-prefork
APACHE_CTL        = /usr/sbin/apache2ctl
APACHE_MODULE_DIR = /usr/lib/apache2-prefork
APACHE_MODULE_DIR_64 = /usr/lib64/apache2-prefork
APACHE_FCGID_MODULE = ../apache2/mod_fcgid.so
PHP_FCGI_BIN	  = /usr/bin/php-cgi
APACHE_ENMOD      = a2enmod %s
BECOME_ROOT       = su -c
MOUNT_OPTIONS     =
INIT_CMD          = /usr/bin/systemctl %(action)s %(name)s.service
